Skip to content
GridRouterhome

Search

Search providers, capabilities and pages

Docs
API referenceOther

List webhook endpoints

GET
/v1/webhooks/endpoints

Webhook endpoints with their subscriptions, status and delivery health. Secrets are never returned.

Authorization

bearer
AuthorizationBearer <token>

In: header

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/webhooks/endpoints"
{  "items": [    {      "object": "webhook_endpoint",      "id": "string",      "url": "http://example.com",      "description": "string",      "event_types": [        "call.completed"      ],      "enabled": true,      "status": "active",      "disabled_reason": "string",      "secrets": [        {          "id": "string",          "prefix": "string",          "created_at": "2019-08-24T14:15:22Z",          "expires_at": "2019-08-24T14:15:22Z"        }      ],      "health": {        "deliveries": 0,        "failures": 0,        "consecutive_failures": 0,        "last_success_at": "2019-08-24T14:15:22Z",        "last_failure_at": "2019-08-24T14:15:22Z",        "failing_since": "2019-08-24T14:15:22Z",        "last_error": "string"      },      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ]}